    -- config part -------------------------------------------------------
	
	local lefticon = true             -- set to true if you use left icon
	local righticon = false           -- set to true if you use right icon
	
	-- config end --------------------------------------------------------
	
	hooksecurefunc('CreateFrame', function(...)
        local _, name, _, template = ...
        if(template == 'DBTBarTemplate') then
            local frame = _G[name]     
            local bar = _G[frame:GetName().."Bar"]
			local spark = _G[frame:GetName().."BarSpark"]
			local texture = _G[frame:GetName().."BarTexture"]
			local icon1 = _G[frame:GetName().."BarIcon1"]
			local icon2 = _G[frame:GetName().."BarIcon2"]
			local name = _G[frame:GetName().."BarName"]
			local timer = _G[frame:GetName().."BarTimer"]
			bar:SetHeight(8)
			bar:SetFrameLevel(1)
			
-- BAR STYLE			
			texture:SetTexture("Interface\\AddOns\\oUF_Coldkil\\textures\\flat2")
			icon1:SetTexCoord(.1,.9,.1,.9) 
			icon1:ClearAllPoints()
			icon1:SetPoint("BOTTOMRIGHT", frame, "BOTTOMLEFT", -4, 6)
			icon2:SetTexCoord(.1,.9,.1,.9) 
			icon2:ClearAllPoints()
			icon2:SetPoint("BOTTOMLEFT", frame, "BOTTOMRIGHT", 4, 6)
			name:ClearAllPoints()
			name:SetPoint("BOTTOMLEFT", bar, "TOPLEFT", 0, 3)
			name:SetFont("Interface\\AddOns\\oUF_Coldkil\\fonts\\homespun.ttf", 10, "OUTLINEMONOCHROME")
			name:SetShadowColor(0, 0, 0, 0)
			timer:ClearAllPoints()
			timer:SetPoint("BOTTOMRIGHT", bar, "TOPRIGHT", 0, 3)  
			timer:SetJustifyH"RIGHT"
			timer:SetFont("Interface\\AddOns\\oUF_Coldkil\\fonts\\homespun.ttf", 10, "OUTLINEMONOCHROME") 
			timer:SetFont("Interface\\AddOns\\oUF_Coldkil\\fonts\\homespun.ttf", 10, "OUTLINEMONOCHROME") 
			timer:SetShadowColor(0, 0, 0, 0)
			spark:SetAlpha(0)
			
			name.SetFont = function() end
			texture.SetTexture = function() end
			timer.SetFont = function() end
			spark.SetAlpha = function() end

-- BACKDROP AND BORDER					
			local bg = CreateFrame("Frame", nil, bar)
			bg:SetPoint("TOPLEFT", bar, "TOPLEFT", -1, 1)
			bg:SetPoint("BOTTOMRIGHT", bar, "BOTTOMRIGHT", 1, -1)
	 		bg:SetBackdrop({
				bgFile = "Interface\\AddOns\\oUF_Coldkil\\textures\\flat2", 
				edgeFile = "Interface\\Buttons\\WHITE8X8",
				edgeSize = 1,
			})
			bg:SetBackdropBorderColor(0, 0, 0, 1)
			bg:SetBackdropColor(.2, .2, .2, .6)
			bg:SetFrameLevel(0)	
			

-- LEFT ICON
		if lefticon then
			local ibg = CreateFrame("Frame", icon1)
			ibg:SetPoint("TOPRIGHT", icon1, 1, 1)
			ibg:SetPoint("BOTTOMLEFT", icon1, -1, -1)
			ibg:SetBackdrop({
				bgFile = "Interface\\AddOns\\oUF_Coldkil\\textures\\flat2", 
				edgeFile = "Interface\\Buttons\\WHITE8X8",
				edgeSize = 1,
			 })
			ibg:SetBackdropBorderColor(0, 0, 0, 1)
			ibg:SetBackdropColor(.2, .2, .2, .6)
			ibg:SetParent(bar)
			ibg:SetFrameLevel(0)	
		end

-- RIGHT ICON
		if righticon then
			local ibg = CreateFrame("Frame", icon2)
			ibg:SetPoint("TOPRIGHT", icon2, 1, 1)
			ibg:SetPoint("BOTTOMLEFT", icon2, -1, -1)
			ibg:SetBackdrop({
				bgFile = "Interface\\AddOns\\oUF_Coldkil\\textures\\flat2", 
				edgeFile = "Interface\\Buttons\\WHITE8X8",
				edgeSize = 1,
			})
			ibg:SetBackdropBorderColor(0, 0, 0, 1)
			ibg:SetBackdropColor(.2, .2, .2, .6)
			ibg:SetParent(bar)
			ibg:SetFrameLevel(0)
		end			
			
        end
    end)